Bug 123949 - (VIA KT133) Ext3 file systems toasted - KT133 hw bug returned ?
(VIA KT133) Ext3 file systems toasted - KT133 hw bug returned ?
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 17:44 EDT by André Johansen
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:04:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description André Johansen 2004-05-21 17:44:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I upgraded my machine from Fedora Core 1 to 2, and within a day, both
file systems (/ and /home) were toasted.  Both used ext3.

I got one fs error message when searching for a file, and /home went
into RO mode.  After unmounting the fs, several runs with fsck only
showed up more and more errors of various types (duplicated blocks,
invalid mode, wrong dtime etc).

The HD is 2 months old, and FC1 was freshly installed on it, and had
been working without problems.  Before that, the machine had been
running various RHL versions, as well as FC1, before getting the new
disk -- all without problems like this.

Hardware:
ABit KT7a
AMD Athlon 1.33 GHz (Thunderbird)
Creative SB Live!
ATI Radeon 9200
512 MB SDRAM
120 GB Seagate Barracuda 7 ATA100

(I'm now back to a fresh install of FC1, trying to reconstruct as much
as possible from backups...)


Version-Release number of selected component (if applicable):
FC2 release kernel (from ISOs).

How reproducible:
Didn't try
Comment 1 Alan Cox 2004-05-21 18:12:23 EDT
What IDE controller
Does the memory pass memtest86 (the pattern you see fits that very
well but it is odd that FC1 worked if so)
Comment 2 André Johansen 2004-05-21 18:32:05 EDT
I did run memtest86 when the computer was new (2.5 years ago), and the
memory was ok then; I haven't really had any stability problems with
the computer during operation (apart from some APM suspend issues).

I'll check it again later, but I would be highly surprised if the RAM
is broken (Kingston brand memory).

# lspci -v
00:00.0 Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133]
(rev 03)
        Subsystem: ABIT Computer Corp. KT7/KT7-RAID/KT7A/KT7A-RAID
Mainboard
        Flags: bus master, medium devsel, latency 8
        Memory at e0000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 2.0
        Capabilities: [c0] Power Management version 2

00:01.0 PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133
AGP] (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000c000-0000cfff
        Memory behind bridge: e4000000-e5ffffff
        Prefetchable memory behind bridge: d0000000-dfffffff
        Capabilities: [80] Power Management version 2

00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super
South] (rev 40)
        Subsystem: ABIT Computer Corp.: Unknown device 0000
        Flags: bus master, stepping, medium devsel, latency 0
        Capabilities: [c0] Power Management version 2

00:07.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C/VT8235 PIPC Bus Master IDE (rev
06) (prog-if 8a [Master SecP PriP])
        Subsystem: VIA Technologies, Inc.
VT82C586/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE
        Flags: bus master, medium devsel, latency 32
        I/O ports at d000 [size=16]
        Capabilities: [c0] Power Management version 2

00:07.2 USB Controller: VIA Technologies, Inc. VT6202 [USB 2.0
controller] (rev 16) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. (Wrong ID) USB Controller
        Flags: bus master, medium devsel, latency 32, IRQ 9
        I/O ports at d400 [size=32]
        Capabilities: [80] Power Management version 2

00:07.3 USB Controller: VIA Technologies, Inc. VT6202 [USB 2.0
controller] (rev 16) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. (Wrong ID) USB Controller
        Flags: bus master, medium devsel, latency 32, IRQ 9
        I/O ports at d800 [size=32]
        Capabilities: [80] Power Management version 2

00:07.4 Bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI]
(rev 40)
        Subsystem: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI]
        Flags: medium devsel, IRQ 11
        Capabilities: [68] Power Management version 2

00:09.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1
(rev 08)
        Subsystem: Creative Labs CT4832 SBLive! Value
        Flags: bus master, medium devsel, latency 32, IRQ 7
        I/O ports at dc00 [size=32]
        Capabilities: [dc] Power Management version 1

00:09.1 Input device controller: Creative Labs SB Live! MIDI/Game Port
(rev 08)
        Subsystem: Creative Labs Gameport Joystick
        Flags: bus master, medium devsel, latency 32
        I/O ports at e000 [size=8]
        Capabilities: [dc] Power Management version 1

00:0d.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100]
(rev 08)
        Subsystem: Intel Corp. EtherExpress PRO/100+ Management Adapter
        Flags: bus master, medium devsel, latency 32, IRQ 11
        Memory at e7100000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at e400 [size=64]
        Memory at e7000000 (32-bit, non-prefetchable) [size=1M]
        Expansion ROM at <unassigned> [disabled] [size=1M]
        Capabilities: [dc] Power Management version 2

01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon
9200] (rev 01) (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc: Unknown device 2002
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 10
        Memory at d0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at c000 [size=256]
        Memory at e5000000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2

01:00.1 Display controller: ATI Technologies Inc RV280 Ya [Radeon
9200LE] (Secondary) (rev 01)
        Subsystem: ATI Technologies Inc: Unknown device 2003
        Flags: bus master, 66Mhz, medium devsel, latency 32
        Memory at d8000000 (32-bit, prefetchable) [size=128M]
        Memory at e5010000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [50] Power Management version 2
Comment 3 Alan Cox 2004-05-21 20:42:08 EDT
Ok there is a useful clue in there. ABIT KT7 VIA 8233 combined with
Soundblaster live.

Can you attach the boot messages for the box (should be enough to
stick the CD in and boot up to the "check media" question then look at
the other consoles). I could do with knowing if it displays

"Disabling VIA memory write queue (PCI ID.."

as it boots.

There is a known hardware issue with some VIA 133 chips and
soundblaster live hardware which can either be BIOS or kernel fixed.
The message should appear if the kernel tried to fix it


Comment 4 André Johansen 2004-05-22 05:14:19 EDT
It is VIA KT7A with the KT133A chip, but the bug is there.
From the FC1 kernel:
Disabling VIA memory write queue (PCI ID 0305, rev 03): [55] 89 & 1f -> 09
[...]
Applying VIA southbridge workaround.

I'll check the FC2 kernel later.
Comment 5 André Johansen 2004-05-22 06:55:34 EDT
Both of those messages appear with the FC2 kernel as well.
Comment 6 André Johansen 2004-05-22 14:40:50 EDT
I made a tar archive of /home before reinstalling FC1, and it seems 
the contents of that archive was good -- I have not found any broken 
files so far.  It could be that the problems happened at read 
access, giving the impression of a toasted fs, where in fact it 
might have been quite fine.  This is guessing, though... 
 
Comment 7 Need Real Name 2004-06-25 06:26:08 EDT
I see the same on a dual xeon box with a 3ware controller. The logs say:
Jun 25 09:10:34 x kernel: attempt to access beyond end of device
Jun 25 09:10:34 x kernel: sda2: rw=0, want=7534144408, limit=614405925

An rync of the data failed on a file with IO errors, this file
was corrupt (old size < 1K, new size over 1Tb). When removing this file
the ext3 filesystem remounted readonly (which I guess is a very good
thing, saves me from more problems).

fsck seems to have fixed the broken file. 
Comment 8 Alan Cox 2004-06-25 07:14:10 EDT
Please open a seperate bug for the dual Xeon - it may well be a real
bug but its unrelated to the KT133 bug - thanks
Comment 9 André Johansen 2004-11-23 13:15:34 EST
I've been running Fedora Core 3 (and Suse Personal 9.1) for some 
while on the computer in the original report now, without any such 
problems. 
 
So I assume the problem is either fixed, or occurred due to some 
circumstance which is no longer present (or was not present when 
installing the two new OSs). 
 
Comment 10 Dave Jones 2005-04-16 02:04:57 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.